OpenVDB 12.1.0

Loading...
Searching...
No Matches
AttributeSet::Util Struct Reference

`#include <openvdb/points/AttributeSet.h>`

## Classes
struct | NameAndType
| Attribute and type name pair. More...

## Public Types
using | NameAndTypeVec = std::vector<NameAndType>
using | NameToPosMap = std::map<std::string, size_t>
using | GroupIndex = std::pair<size_t, uint8_t>

## Member Typedef Documentation

## ◆ GroupIndex

using GroupIndex = std::pair<size_t, uint8_t>

## ◆ NameAndTypeVec

using NameAndTypeVec = std::vector<NameAndType>

## ◆ NameToPosMap

using NameToPosMap = std::map<std::string, size_t>